Subject: Re: [PATCH 5/5] midx-write: reenable signed comparison errors

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Aug 2025 14:01:42 -0700

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> The strategy here involves defining the variable within the for loop
> syntax to make sure we use the appropriate bitness for the loop
> sentinel. This matters in at least one method where the variable was
> compared to uint32_t in some loops and size_t in others.

Sounds like a fine way to avoid accidentally breaking these loops.